@snipe snipe released this Oct 26, 2018 · 13 commits to master since this release

Assets 2

New in v4.6.6

This is a minor bugfix release that fixes a few UI issues, image upload on asset creation, and a few importer issues.

IMPORTANT: This will be one of the final releases of Snipe-IT that will work with PHP5. Future versions of Snipe-IT will require PHP 7.1.3 or greater. Please start upgrading your versions of PHP to 7.1.3 to prepare for the next major release. There may be a few small bug fix releases before Snipe-IT v5, but you should start preparing now.

Fixed

  • Fixed issue where admin users could accidentally disable activation when editing their own user
  • Fixed double word typo in README (#6292)
  • Fixed statuslabels assets() API gate so users that can see assets can view asset listings by status label
  • Fixed image not uploading on asset create
  • Fixed expiring assets email not sending (#6321)
  • Fixed #6323 - typo in link for low inventory
  • Fixed #6349 - add view permission for print all assigned

Added

  • Added #6277 - manager and dept to importer
  • Added #6291 - send-welcome argument in cli importer
  • Allow 0 as a consumable minimum amount (Previously only allowed blank/null value)
  • Added activation column in importer (accepts yes/no, or true/false)
  • Added default null values if manager_id or department_id is not in the user array on import

Upgrading

For general upgrading instructions, click here. Users who installed Snipe-IT via Git (recommended) can just run php upgrade.php.

For a full list of changes, see the changelog.

Known Issues

Users running MariaDB 10.2.7 and later may have an issue upgrading or installing, due to a change in the way MariaDB stores null defaults. This issue will be fixed once the open pull request in the Doctrine repo is merged and a new version of Doctrine is released with these fixes. You can read more about that issue here.

After completing the upgrade process below, be sure to clear your browser cookies.

Upgrading from v3

Please see the upgrade instructions here.